import { ApiProperty } from "@nestjs/swagger";

export class ApiUserInfo {
    @ApiProperty({ type: String })
    id: string;

    @ApiProperty({ type: String })
    username: string;

    @ApiProperty({ type: String })
    discriminator: string;

    @ApiProperty({ type: String, nullable: true })
    displayName?: string;

    @ApiProperty({ type: String, nullable: true })
    avatarUrl?: string;
}

export type UserInfoReq = {
    id: string;
};

export type UserInfoRes = ApiUserInfo | null;
