"use client";

import { useTranslation } from "react-i18next";

import "@/lib/i18n";

export default function Translate(props: {
    t: string;
    args?: { [key: string]: string };
}) {
    // @ts-ignore
    const { t } = useTranslation();

    return (
        <span>
            {t(props.t, {
                lng: "en",
                defaultValue: `{{ ${props.t} }}`,
                ...(props.args ? props.args : {}),
            })}
        </span>
    );
}
