import { setCredentials } from "@/lib/auth";
import { useBearStore } from "@/lib/useState";
import { useRouter } from "next/navigation";
import { API } from "oapilib";

export default function LogoutButton() {
    const state = useBearStore();
    const router = useRouter();

    return (
        <button
            onClick={async () => {
                // TODO delete session
                state.api = new API();
                state.auth = undefined;
                await setCredentials({ token: null });
                router.refresh();
            }}
        >
            Log out
        </button>
    );
}
